The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Firewall Logging

Prev Next

This URL gets the firewall logging for the Sensor.

Resource URL

GET /sensor/<sensor_id>/firewalllogging

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor id

Number

Yes

Response Parameters

Following fields are returned.

Field Name

Description

Data Type

isSuppressionEnabled

To enable the suppression

Boolean

individualMessage

Individual message

Number

suppressionInterval

Suppression interval

Number

uniqueSource

DestinationIPpairs

Unique source destination IP pairs

Number

loggingType

Logging type can be:

  • "DISABLE_DEVICE"

  • "LOG_ALL_MATCHED_TRAFFIC"

  • "LOG_ALL_DROPPED_DENIED_TRAFFIC"

  • "LOG_ALL_PERMITTED_TRAFFIC"

  • "LOG_MATCHED_TRAFFIC_ONLY"

String

deliveryType

Delivery type can be:

"MESSAGES_TO_TARGET_SYSLOGSERVER_VIA_MANAGER", "MESSAGES_TO_TARGET_SYSLOGSERVER_DIRECTLY_FROM_DEVICE"

String

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1001/firewalllogging

Response

     {
  "loggingType": "LOG_ALL_MATCHED_TRAFFIC",
  "deliveryType": "MESSAGES_TO_TARGET_SYSLOGSERVER_VIA_MANAGER",
  "isSuppressionEnabled": false,
  "individualMessage": 25,
  "suppressionInterval": 120,
  "uniqueSourceDestinationIPpairs": 10
}

Error Information

Following error code is returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor